> For the complete documentation index, see [llms.txt](https://docs.multimarkets.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.multimarkets.org/bridge-api/news-subscription/notification-message-description.md).

# Notification message description

## Transaction message

> Subscribe to transaction messages through the webhook interface. First, configure the callback message interface Push the `ORDER_EXEC_REPORT` message. When `status` is 2, `executePrice`, `executeNum`, and `executeTime` may all be empty. Only push the change process of order status (finally only push an order status change to fully executed, so there is no latest transaction quantity and price at this time)

### Transaction message type

| Message type           | Notification scenario | Description                                                                          |
| ---------------------- | --------------------- | ------------------------------------------------------------------------------------ |
| ORDER\_CANCEL\_REPORT  | Customer cancellation | Notification of cancellation information being accepted by the platform              |
| ORDER\_EXEC\_REPORT    | Order execution       | Notification of partial or full execution of order                                   |
| ORDER\_EXPIRED\_REPORT | Order cancellation    | Notification of cancellation due to platform rules after successful order submission |
| QUOTE\_TAG             | Inquiry result        | Open or close inquiry, quotation notification                                        |

**ORDER\_CANCEL\_REPORT**

| Name          | Type   | Description                                    |
| ------------- | ------ | ---------------------------------------------- |
| exchangeId    | String | Platform identifier. binance-Binance; okx-Ouyi |
| tradeType     | Long   | Play type. 10-Trading bridge;                  |
| companyId     | Long   | Company ID                                     |
| customerId    | Long   | Customer ID                                    |
| customerNo    | String | Customer code                                  |
| accountName   | String | Account alias                                  |
| orderId       | String | Platform order number                          |
| clientOrderId | String | Customer-defined unique order ID               |
| remark        | String | Remark                                         |

**ORDER\_EXEC\_REPORT**

| Name               | Type   | Description                                                                                                                                                                                                                 |
| ------------------ | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| exchangeId         | String | Platform identifier. binance-Binance; okx-Ouyi                                                                                                                                                                              |
| tradeType          | Long   | Play type. 10-Trading bridge;                                                                                                                                                                                               |
| companyId          | Long   | Company ID                                                                                                                                                                                                                  |
| customerId         | Long   | Customer ID                                                                                                                                                                                                                 |
| customerNo         | String | Customer code                                                                                                                                                                                                               |
| accountName        | String | Account alias                                                                                                                                                                                                               |
| tradeId            | String | Transaction order number                                                                                                                                                                                                    |
| orderId            | String | Platform order number                                                                                                                                                                                                       |
| clientOrderId      | String | Customer-defined unique order ID                                                                                                                                                                                            |
| executeNum         | String | Transaction quantity                                                                                                                                                                                                        |
| executePrice       | String | Transaction price                                                                                                                                                                                                           |
| executeTime        | Long   | Transaction time, 13-digit timestamp                                                                                                                                                                                        |
| symbolId           | Long   | Product Id                                                                                                                                                                                                                  |
| commission         | String | Commission. Negative digits are deducted; positive numbers are rebates;                                                                                                                                                     |
| commissionCurrency | String | Commission asset currency                                                                                                                                                                                                   |
| status             | String | Current status of the order. 1-Order submitted; 2-Order fully executed; 3-Order partially executed; 4-Order canceled by customer; 5-Order canceled by platform; 6-Order rejected by platform; 7-Order expired and canceled; |
| remark             | String | Remark                                                                                                                                                                                                                      |

**ORDER\_EXPIRED\_REPORT**

| Name          | Type   | Description                                    |
| ------------- | ------ | ---------------------------------------------- |
| exchangeId    | String | Platform identifier. binance-Binance; okx-Ouyi |
| tradeType     | Long   | Play type. 10-Trading bridge;                  |
| companyId     | Long   | Company ID                                     |
| customerId    | Long   | Customer ID                                    |
| customerNo    | String | Customer code                                  |
| accountName   | String | Account alias                                  |
| orderId       | String | Platform order number                          |
| clientOrderId | String | Customer-defined unique order ID               |
| remark        | String | Remark                                         |

**QUOTE\_TAG**

| Name            | Type   | Description                                                           |
| --------------- | ------ | --------------------------------------------------------------------- |
| exchangeId      | String | Platform identifier. binance-Binance; okx-Ouyi; cumberland-cumberland |
| tradeType       | Long   | Game type. 10-Trading bridge;                                         |
| companyId       | Long   | Company ID                                                            |
| customerId      | Long   | Customer ID                                                           |
| customerNo      | String | Customer code                                                         |
| accountName     | String | Account alias                                                         |
| expireTime      | Long   | Inquiry expiration time (13-digit timestamp)                          |
| version         | String | Quote version number                                                  |
| quoteId         | String | Quote ID                                                              |
| buyQuantity     | String | Buy quantity                                                          |
| buyPrice        | String | Buy price                                                             |
| buyTotalAmount  | String | Buy total amount                                                      |
| sellQuantity    | String | Sell quantity                                                         |
| sellPrice       | String | Sell price                                                            |
| sellTotalAmount | String | Sell total amount                                                     |
| status          | String | Current inquiry status. 1-Open inquiry; 4-Close inquiry               |
| symbolId        | Long   | Product ID                                                            |
| symbolCode      | String | Corresponding exchange product code                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.multimarkets.org/bridge-api/news-subscription/notification-message-description.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
